## budgie-desktop 10.4+git20171031.10.g9f71bb8

=== meson_options.txt ===
option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
option('with-polkit', type: 'boolean', value: true, description: 'Enable PolKit support')
option('with-bluetooth', type: 'boolean', value: true, description: 'Enable gnome-bluetooth support')
option('with-gtk-doc', type: 'boolean', value: true, description: 'Build gtk-doc documentation')

=== subprojects/gvc/meson_options.txt ===
option('package-name',
  type: 'string',
  value: '',
  description: 'The value for the GETTEXT_PACKAGE define.'
)

option('package-version',
  type: 'string',
  value: '',
  description: 'The value for the PACKAGE_VERSION define.'
)

option('pkglibdir',
  type: 'string',
  value: '',
  description: 'The private directory the shared library/typelib will be installed into.'
)

option('pkgdatadir',
  type: 'string',
  value: '',
  description: 'The private directory the gir file will be installed into.'
)

option('static',
  type: 'boolean',
  value: false,
  description: 'Build as a static library.'
)

option('with-introspection',
  type: 'boolean',
  value: false,
  description: 'Build gobject-introspection support'
)

## budgie-desktop 10.2.7

=== debian/changelog ===
budgie-desktop (10.2.7-3) unstable; urgency=medium

  * Drop patch to stop refresh of menus
  * replace dropped patch with gsettings override to hide menu headers
    - menu crash traced to menu headers; by hiding the menu header
      panel does not crash when installing or removing applications
      upstream issue #632
  * Add upstream patch to stop spamming of log
    - 0004-panel-Chain-methods-to-fix-GtkBox-allocation-spam-ev.patch
  * Add upstream patch to fix GTK+3.22 theme display
    - 0005-Fix-theme-for-GTK-3.22.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 09 Oct 2016 20:32:29 +0100

budgie-desktop (10.2.7-2) unstable; urgency=medium

  * Add patch to fix crash
    - 0003 - update to upower 0.99API to stop panel crash

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 15 Sep 2016 21:43:21 +0100

budgie-desktop (10.2.7-1) unstable; urgency=medium

  * New upstream release
    - upstream release 10.2.7
  * Add upstream recommended patch
    - 0001 - fix icontask lisk spacing after reboot
  * add patch to stop budgie-panel menu crash on apt refresh
  * add volume patch
    - 0002 - fix volume usability for panel indicator
  * Packaging changes
    - drop patches gtk-link and GNOME 3.22 build since
      these are included in the 10.2.7 release
    - add new dependency required for build libaccountsservice-dev
    - revised debian/copyright

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 12 Sep 2016 20:43:29 +0100

budgie-desktop (10.2.6-2) unstable; urgency=medium

  * Bug-fix release
  * bug-fix for GNOME 3.22 build (Closes: #837077)
    - add upstream maintainer patch to enable build due to mutter api change
  * bug-fix for nm-applet dbus-launch (Closes: #836083)
    - replace dbus-launch with dbus-run-session to display nm-applet
      on budgie-desktop panel
  * Packaging changes
    - maintainer change of email address
  * inc patch to display budgie-icon for lightdm greeter (LP:#1562182)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 10 Sep 2016 12:36:58 +0100

budgie-desktop (10.2.6-1) unstable; urgency=medium

  * Initial Release (Closes: #828765)

 -- David Mohammed <foss.freedom@gmail.com>  Fri, 15 Jul 2016 15:53:24 +0100

=== debian/control ===
Source: budgie-desktop
Section: x11
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Homepage: https://solus-project.com/budgie/
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 gir1.2-gee-0.8,
 gnome-common,
 gobject-introspection,
 gtk-doc-tools,
 libgee-0.8-dev,
 libglib2.0-dev,
 libgnome-bluetooth-dev (>= 3.16),
 libgnome-desktop-3-dev,
 libgnome-menu-3-dev,
 libgtk-3-dev,
 libmutter-dev (>= 3.16),
 libpeas-dev,
 libpolkit-agent-1-dev,
 libpolkit-gobject-1-dev,
 libpulse-dev,
 libpulse-mainloop-glib0,
 libupower-glib-dev,
 libwnck-3-dev,
 uuid-dev,
 libc6-dev (>= 2.23),
 libgdk-pixbuf2.0-dev,
 libaccountsservice-dev,
 valac
Standards-Version: 3.9.8
Vcs-Browser: https://github.com/budgie-remix/budgie-desktop/tree/debian
Vcs-Git: https://github.com/budgie-remix/budgie-desktop -b debian

Package: budgie-core
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Core package for Budgie-Desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This is the base package for budgie-desktop.  This package provides:
  GNOME Network Manager autostart file specifically for Budgie
  budgie-desktop plugins
  locales and icons for budgie-desktop
  budgie-desktop executables
  GLib schemas for budgie-desktop
  Session file for budgie-desktop

Package: budgie-core-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-budgie-desktop-1.0 (= ${binary:Version}),
 libbudgie-plugin0 (= ${binary:Version}),
 libbudgietheme0 (= ${binary:Version}),
 libraven0 (= ${binary:Version}),
 libglib2.0-dev,
 libgtk-3-dev,
 libpeas-dev,
 ${misc:Depends}
Suggests: budgie-desktop-doc
Description: Development package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This package provides the development files allowing compilation
 through the budgie-desktop API.  This package provides:
  C Header files
  Vala .vapi files
 
Package: budgie-desktop
Architecture: all
Depends:
 budgie-core,
 gir1.2-budgie-desktop-1.0,
 ${misc:Depends},
 gnome-session-bin, 
 gnome-session-common, 
 gnome-settings-daemon, 
 gnome-control-center, 
 gnome-menus 
Description: Desktop package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This package installs the minimal GNOME based package-set together with
 the key budgie-desktop packages to produce a working desktop
 environment. 

Package: budgie-desktop-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 devhelp
Description: documentation files for the budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This package contains the API documentation in HTML format

Package: gir1.2-budgie-desktop-1.0
Section: introspection
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${gir:Depends}
Description: GNOME introspection library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This is the introspection library and allows creating plugins in 
 python3, C and Vala

Package: libbudgie-plugin0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Plugin library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This adds the plugin library to budgie-desktop
 
Package: libbudgietheme0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Theme library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This adds the theme controls for budgie-desktop
 
Package: libraven0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Raven library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This provides the budgie-desktop user-defined settings called raven.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+relro,+bindnow

# we use make maintainer-clean to remove all generated C files
# and then force another autoreconf/configure to regenerate these
# this allows a no change rebuild to fix any vala compiler changes

build build-arch:
	autoreconf -i
	./configure --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc

binary binary-arch:
	dh_testroot
	dh_auto_install
	dh_install
	dh_installdocs
	dh_installchangelogs
	dh_lintian
	dh_compress
	# remove unneeded build files
	find debian -name \*.la -exec rm {} \;
	find debian -name \*.a -exec rm {} \;
	# correct permissions on build shared object libraries
	find debian -name \*.so* -exec chmod 644 {} \;
	# correct permissions on gtk-doc generated files
	find debian -name \*.html -exec chmod 644 {} \;
	# correct permissions on folders
	find ./debian -type d | xargs chmod 755
	# install override but budgie has to take precedence over
	# gnome-shell defaults
	dh_installgsettings --priority=15
	dh_fixperms
	dh_strip -p budgie-core
	dh_strip -p libbudgie-plugin0
	dh_strip -p libbudgietheme0
	dh_strip -p libraven0
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	
%:
	dh $@ --with autoreconf,gir

## budgie-desktop 10.2.9

=== debian/changelog ===
budgie-desktop (10.2.9-2) unstable; urgency=medium

  * Bug-fix release
    - drop the last two remaining patches since additional
      testing with the new versions of gnome-menus and
      network-manager now in Stretch makes these patches unnecessary
      (Closes: #849595)

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 02 Jan 2017 10:50:32 +0000

budgie-desktop (10.2.9-1) unstable; urgency=medium

  * New upstream release
    - maintenance release - changelog as per release tag
  * Packaging changes:
    - Drop all now obsolete previous patches names 000*
    - add debian/ubuntu specific patch to stop panel crashes
      stop_menu_refresh.diff
    - refresh nm-applet.diff patch due to source filelayout change
    - add to rules to delete non ISO639 zh-Hant locale
    - update debian/copyright due to source filelayout change
    - update debian/copyright to fix duplicate "Sam Sam" entry which
      was causing lintian messages
    - update package for debhelper 10
    - update debian/control for new VCS repo name
    - add network-manager-gnome as a dependency for budgie-desktop since
    - budgie-desktop will crash without this being installed
    - remove unneeded lintian override
    - updated upstream/metadata to reflect new upstream repo name

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 17 Dec 2016 09:46:49 +0000

budgie-desktop (10.2.8-1) unstable; urgency=medium

  * New upstream release
    - GTK+3.22 fixes
    - new places indicator
    - new ibus indicator
    - refreshed panel icons
    - updated translations
    - general fixes for the desktop
  * Packaging changes:
    - Drop all now obsolete previous patches named 000*
    - add new build dependency libibus-1.0-dev
    - Updated debian/copyright with revised info for new source files
    - add recommendation to install gnome-screensaver; screenlock capability
      in budgie-desktop does not work without this package
  * add patch upstream patch to allow the ibus applet to compile:
      0001-Lower-the-ibus-requirement-to-1.5.11-for-our-Debuntu.patch
  * add patch to ensure ibus is connected correctly if already running
      0002-wm-ibus-Always-try-to-use-an-existing-ibus-daemon-if.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 19 Oct 2016 19:38:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
 Homepage: https://solus-project.com/budgie/
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  gir1.2-gee-0.8,
  gnome-common,
  gobject-introspection,
@@ -28,10 +27,11 @@
  libc6-dev (>= 2.23),
  libgdk-pixbuf2.0-dev,
  libaccountsservice-dev,
- valac
+ valac,
+ libibus-1.0-dev (>= 1.5.11)
 Standards-Version: 3.9.8
-Vcs-Browser: https://github.com/budgie-remix/budgie-desktop/tree/debian
-Vcs-Git: https://github.com/budgie-remix/budgie-desktop -b debian
+Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop/tree/debian
+Vcs-Git: https://github.com/UbuntuBugie/budgie-desktop -b debian
 
 Package: budgie-core
 Architecture: any
@@ -88,7 +88,9 @@
  gnome-session-common, 
  gnome-settings-daemon, 
  gnome-control-center, 
- gnome-menus 
+ gnome-menus,
+ gnome-screensaver,
+ network-manager-gnome
 Description: Desktop package for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+relro,+bindnow
 
-# we use make maintainer-clean to remove all generated C files
-# and then force another autoreconf/configure to regenerate these
-# this allows a no change rebuild to fix any vala compiler changes
+# rules below are required due to budgie-desktop not running
+# correctly with a standard debhelper rules set
+# https://github.com/UbuntuBudgie/budgie-desktop/pull/2
 
 build build-arch:
 	autoreconf -i
@@ -27,6 +27,8 @@
 	find debian -name \*.html -exec chmod 644 {} \;
 	# correct permissions on folders
 	find ./debian -type d | xargs chmod 755
+	# remove unrecognised and non ISO639 locale
+	find debian -type d -name "zh-Hant" -print0 | xargs -r0 -- rm -r
 	# install override but budgie has to take precedence over
 	# gnome-shell defaults
 	dh_installgsettings --priority=15
@@ -43,4 +45,4 @@
 	dh_builddeb
 	
 %:
-	dh $@ --with autoreconf,gir
+	dh $@

=== debian/watch ===
version=3
https://github.com/solus-project/budgie-desktop/releases .*/?(\d{2}\.\d.\d)\.tar\.xz

## budgie-desktop 10.4

=== debian/changelog ===
budgie-desktop (10.4-1ubuntu4) artful; urgency=medium

  * Bug-fix release (LP: #1716757)
    - amend 0001-set-settings-window-title-to-match-the-.desktop-name.patch
      include StartupWMClass to force the .desktop wmclass to match
      the settings window class; this ensures plank always caters for
      opening/closing the window and is no longer dependent on how
      plank is launched

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 14 Sep 2017 19:53:04 +0100

budgie-desktop (10.4-1ubuntu3) artful; urgency=medium

  * Bug-fix release (LP: #1716757)
    - patch 0001-set-settings-window-title-to-match-the-.desktop-name.patch
      ensure budgie desktop settings is correctly recognised by docks such
      as plank so that the dock can remove the icon when the window closes

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Sep 2017 20:55:50 +0100

budgie-desktop (10.4-1ubuntu2) artful; urgency=medium

  * Build against libmutter-1-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Aug 2017 12:27:57 -0400

budgie-desktop (10.4-1ubuntu1) artful; urgency=medium

  [ jbicha, fossfreedom ]
  * debian/budgie-desktop.gsettings-override:
    - Readd part of the previous ubuntu3 delta, not yet integrated in Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Aug 2017 23:16:12 +0200

budgie-desktop (10.4-1) unstable; urgency=medium

  * New upstream release
  * Packaging Changes
    - remove all unneeded triggers
    - refresh debian/patches/gsd.patch to merge in upstream changes
    - drop all patches (except for gsd.patch) since now dealt with in new
      release
    - debian/control: standards version 4.0.1
    - debian/control: Add build dependency sassc
    - debian/control: add minimum meson version to build
    - debian/control: Add Build-Depends alternate libmutter-1-dev
      for GNOME 3.26 builds
    - update library symbols files with 10.4 changes
    - Rename binary package gir1.2-budgie-desktop-1.0 to
      match the typelib gir1.2-budgie-1.0; To ensure a smooth upgrade,
      debian/control updated with Replaces/Breaks for the new package
      and budgie-desktop with a restriction for 10.4 and later for the
      new package
    - Add man-page for new binary budgie-desktop-settings
    - Updated debian/copyright for all source files
    - Merge changelog for 10.2.9-3 unstable bug-fix release;
      10.2.9-3 is a hotfix for unstable released after the 10.3.x
      series was uploaded to experimental
    - debian/rules: add override_dh_installchangelogs with
      debian/changelog-announcement.txt to describe
      where to find the upstream announcement and description of changes
    - add budgie-core.lintian-override with comment to describe
      the rpath lintian error

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 18 Aug 2017 17:48:21 +0100
 

budgie-desktop (10.3.1-5) unstable; urgency=high

  * Bug fix release
    - add patch gsd.patch (Closes: #869953)
      Where gnome-settings-daemon version is greater than
      libmutter, the build of budgie-desktop results in an
      invalid gnome-session file.  The patch ensures a valid file
      is created by checking the version of gnome-settings-daemon
      instead of mutter during the build.
   * Packaging Changes:
     - debian/control: Add build dependency for gnome-settings-daemon-dev
       to ensure the patch can determine the version correctly
     - debian/control: Fix the Vcs-Git location typo bugie --> budgie 

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 18 Aug 2017 00:37:52 +0100
 

budgie-desktop (10.3.1-4) unstable; urgency=medium

  * New release for unstable
    Use build 10.3.1-3 for experimental with the following changes:
    - enforce gnome-settings-daemon minimum version >= 3.24
    - release ensures there is a migration path for
      budgie-core to GNOME stack 3.24 (Closes: #869953)

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 28 Jul 2017 19:44:36 +0100

budgie-desktop (10.3.1-3) experimental; urgency=medium

  * Bug-fix release
  * Patches
    - 0005-raven-Only-deal-with-a-device-card-when-it-actually-.patch
      0006-raven-Mirror-the-last-fix-and-ensure-removed-Things-.patch
      Both patches resolve crashes when audio devices such as
      headphones are added.
  * Packaging Changes:
    - remove build-dependency on libc6-dev since this is
      automatically pulled in by build-essential

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 03 Jul 2017 23:39:14 +0100

budgie-desktop (10.3.1-2) experimental; urgency=medium

  * Bug-fix release
  * Patches
    - include-menubar-theme.patch
      correctly style budgie applets that
      use a GTK+ MenuBar
    - 0004-wm-Purge-old-backgrounds-from-the-cache.patch
      resolve memory leak when desktop wallpaper changes
  * Packaging Changes:
    - simplified debian/rules
      manpages moved to budgie-core.manpages; each executable in
      budgie-core now includes a manpage which enables users to
      man the exe name and additionally resolves lintian issues.
      make target and install methods moved to a more their more
      appropriate targets, auto_build and auto_install respectively.
      deleted erroneous override_dh_prep

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 10 Jun 2017 00:28:53 +0100

budgie-desktop (10.3.1-1) experimental; urgency=medium

  * New upstream release
  * Patches
    - fortify: to support detecting run-time issues
    - show_nm-applet_in_tray.patch: Ubuntu specific patch to display the
      network-manager applet
    - 0001-imports-natray-Enforce-minimum-size-of-22px.patch
      Resolve system tray sizing issues
    - 0002-Fix-typo-in-meson.build.patch
      Correct development package build
    - 0003-Work-around-serious-regressions-in-GTK3.22.13.patch
      Add support for GTK+3.22.13 and later
    - disable-popover-animations.patch
      Panel popover animations cause flashes on some setups.  Disabling
      the panel popover animation resolves this.
  * Packaging Changes:


=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libgnome-desktop-3-dev,
  libgnome-menu-3-dev,
  libgtk-3-dev,
- libmutter-dev (>= 3.16),
+ libmutter-1-dev (>= 3.25.90),
  libpeas-dev,
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
@@ -24,14 +24,16 @@
  libupower-glib-dev,
  libwnck-3-dev,
  uuid-dev,
- libc6-dev (>= 2.23),
  libgdk-pixbuf2.0-dev,
  libaccountsservice-dev,
  valac,
- libibus-1.0-dev (>= 1.5.11)
-Standards-Version: 3.9.8
+ libibus-1.0-dev (>= 1.5.11),
+ meson (>= 0.40.1),
+ gnome-settings-daemon-dev,
+ sassc
+Standards-Version: 4.0.1
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop/tree/debian
-Vcs-Git: https://github.com/UbuntuBugie/budgie-desktop -b debian
+Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop -b debian
 
 Package: budgie-core
 Architecture: any
@@ -57,7 +59,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- gir1.2-budgie-desktop-1.0 (= ${binary:Version}),
+ gir1.2-budgie-1.0 (= ${binary:Version}),
  libbudgie-plugin0 (= ${binary:Version}),
  libbudgietheme0 (= ${binary:Version}),
  libraven0 (= ${binary:Version}),
@@ -82,11 +84,11 @@
 Architecture: all
 Depends:
  budgie-core,
- gir1.2-budgie-desktop-1.0,
+ gir1.2-budgie-1.0 (>= 10.4),
  ${misc:Depends},
  gnome-session-bin, 
  gnome-session-common, 
- gnome-settings-daemon, 
+ gnome-settings-daemon (>=3.24), 
  gnome-control-center, 
  gnome-menus,
  gnome-screensaver,
@@ -118,9 +120,11 @@
  .
  This package contains the API documentation in HTML format
 
-Package: gir1.2-budgie-desktop-1.0
+Package: gir1.2-budgie-1.0
 Section: introspection
 Architecture: any
+Replaces: gir1.2-budgie-desktop-1.0 (<< 10.3.2)
+Breaks: gir1.2-budgie-desktop-1.0 (<< 10.3.2)
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export MAKE = ninja -v
export LC_ALL=C.UTF-8

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf debian/build
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)

	@if [ -e ./debian/ubuntu/applied ]; then \
		patch -R -p1 < debian/ubuntu/show_nm-applet_in_tray.patch ; \
		rm ./debian/ubuntu/applied ; \
	fi
endif

override_dh_auto_configure:
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
	patch -p1 < debian/ubuntu/show_nm-applet_in_tray.patch
	touch ./debian/ubuntu/applied
endif
	mkdir -p debian/build
	cd debian/build && LDFLAGS="-Wl,-z,now -Wl,-z,relro" meson --buildtype plain --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc ../..

override_dh_auto_build:
	cd debian/build && $(MAKE)

override_dh_auto_install:
	dh_auto_install
	cd debian/build && DESTDIR=$(CURDIR)/debian/tmp $(MAKE) install
	# remove unrecognised and non ISO639 locale
	find debian -type d -name "zh-Hant" -print0 | xargs -r0 -- rm -r

override_dh_installgsettings:
	# install override but budgie has to take precedence over
	# gnome-shell defaults
	dh_installgsettings --priority=15

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog-announcement.txt

## budgie-desktop 10.4+git20171031.10.g9f71bb8

=== debian/changelog ===
budgie-desktop (10.4+git20171031.10.g9f71bb8-1.2ubuntu1) bionic; urgency=medium

  * Bug fix release
    - add patch to fix system tray black backgrounds
      fix_black_tray_backgrounds.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 01 Apr 2018 20:28:30 +0100

budgie-desktop (10.4+git20171031.10.g9f71bb8-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Build-Depend on gnome-settings-daemon >= 3.28

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 11:41:00 -0400

budgie-desktop (10.4+git20171031.10.g9f71bb8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload Ubuntu changes to unstable for mutter transition.
  * Depend on gnome-settings-daemon >= 3.26

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 10 Mar 2018 19:44:52 -0500

budgie-desktop (10.4+git20171031.10.g9f71bb8-1ubuntu4) bionic; urgency=medium

  * Mutter 3.28 transition (LP: #1751070)
    - Add patch to support GSD 3.27.90 and later
    - Add patch to support libmutter-2
  * Packaging Changes
    - Drop patch gsd.patch
    - Add patch 0002-Switch-to-checking-GSD-version-for-the-build-1319.patch
    - Add patch libmutter-2.patch
    - debian/control - libmutter so-name bump build-depends >= 3.27.91

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 03 Mar 2018 23:32:29 +0000

budgie-desktop (10.4+git20171031.10.g9f71bb8-1ubuntu3) bionic; urgency=medium

  * No-change rebuild against latest gnome-desktop3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Feb 2018 08:10:38 -0500

budgie-desktop (10.4+git20171031.10.g9f71bb8-1ubuntu2) bionic; urgency=medium

  * Bug-fix release
    - add patch 0001-Obtain-gsettings-transparency-key-value-before-showi.patch
      This patch allows panel transparency gsettings to be overridden
  * Packaging Changes
    - debian/control: Bump debhelper version to v11
    - debian/control: Bump Standards-Version (no changes required)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 06 Feb 2018 20:15:30 +0000

budgie-desktop (10.4+git20171031.10.g9f71bb8-1ubuntu1) bionic; urgency=medium

  * Bug-fix release
    - fix autopkgtest build failure; simplify to check that the exe
      has been created correctly.
  * Packaging Changes
    - rename autopkgtest script

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 07 Nov 2017 18:33:47 +0000

budgie-desktop (10.4+git20171031.10.g9f71bb8-1) unstable; urgency=medium

  * Bug-fix release
    - fix FTBFS due to meson v0.43; budgie desktop (upstream) have
      released a signed tarball to resolve since it is not possible
      to cherry-pick the appropriate git commit
      https://github.com/budgie-desktop/budgie-desktop/issues/1228
  * Packaging Changes
    - debian/rules: support separate ubuntu and debian gsettings
      overrides
    - debian/rules: add bindnow hardening
    - debian/rules: install Budgie gi-typelib to a multiarch location
    - debian/control: Update standards version - add an autopkgtest
    - debian/copyright: gvc file-location changed from src to subprojects
    - debian/copyright: add Jeremy Bicha to packaging copyright

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 31 Oct 2017 17:46:07 +0000

budgie-desktop (10.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Build-Depend on libmutter-1-dev for GNOME 3.26 transition
    - Bump required gnome-settings-daemon to >= 3.25.4

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 17:52:23 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
 Homepage: https://solus-project.com/budgie/
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  gir1.2-gee-0.8,
  gnome-common,
  gobject-introspection,
@@ -15,7 +15,7 @@
  libgnome-desktop-3-dev,
  libgnome-menu-3-dev,
  libgtk-3-dev,
- libmutter-1-dev (>= 3.25.90),
+ libmutter-2-dev (>= 3.27.91),
  libpeas-dev,
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
@@ -29,9 +29,9 @@
  valac,
  libibus-1.0-dev (>= 1.5.11),
  meson (>= 0.40.1),
- gnome-settings-daemon-dev,
+ gnome-settings-daemon-dev (>= 3.28),
  sassc
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop -b debian
 
@@ -44,7 +44,7 @@
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
  based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based 
+ Budgie-Desktop is written from scratch utilising many GNOME based
  sub-systems such as GNOME-Session and Mutter.
  .
  This is the base package for budgie-desktop.  This package provides:
@@ -72,24 +72,24 @@
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
  based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based 
+ Budgie-Desktop is written from scratch utilising many GNOME based
  sub-systems such as GNOME-Session and Mutter.
  .
  This package provides the development files allowing compilation
  through the budgie-desktop API.  This package provides:
   C Header files
   Vala .vapi files
- 
+
 Package: budgie-desktop
 Architecture: all
 Depends:
  budgie-core,
  gir1.2-budgie-1.0 (>= 10.4),
  ${misc:Depends},
- gnome-session-bin, 
- gnome-session-common, 
- gnome-settings-daemon (>=3.24), 
- gnome-control-center, 
+ gnome-session-bin,
+ gnome-session-common,
+ gnome-settings-daemon (>=3.26),
+ gnome-control-center,
  gnome-menus,
  gnome-screensaver,
  network-manager-gnome
@@ -97,12 +97,12 @@
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
  based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based 
+ Budgie-Desktop is written from scratch utilising many GNOME based
  sub-systems such as GNOME-Session and Mutter.
  .
  This package installs the minimal GNOME based package-set together with
  the key budgie-desktop packages to produce a working desktop
- environment. 
+ environment.
 
 Package: budgie-desktop-doc
 Section: doc
@@ -115,7 +115,7 @@
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
  based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based 
+ Budgie-Desktop is written from scratch utilising many GNOME based
  sub-systems such as GNOME-Session and Mutter.
  .
  This package contains the API documentation in HTML format
@@ -133,10 +133,10 @@
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
  based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based 
+ Budgie-Desktop is written from scratch utilising many GNOME based
  sub-systems such as GNOME-Session and Mutter.
  .
- This is the introspection library and allows creating plugins in 
+ This is the introspection library and allows creating plugins in
  python3, C and Vala
 
 Package: libbudgie-plugin0
@@ -149,11 +149,11 @@
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
  based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based 
+ Budgie-Desktop is written from scratch utilising many GNOME based
  sub-systems such as GNOME-Session and Mutter.
  .
  This adds the plugin library to budgie-desktop
- 
+
 Package: libbudgietheme0
 Section: libs
 Architecture: any
@@ -164,11 +164,11 @@
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
  based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based 
+ Budgie-Desktop is written from scratch utilising many GNOME based
  sub-systems such as GNOME-Session and Mutter.
  .
  This adds the theme controls for budgie-desktop
- 
+
 Package: libraven0
 Section: libs
 Architecture: any
@@ -179,8 +179,8 @@
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
  based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based 
+ Budgie-Desktop is written from scratch utilising many GNOME based
  sub-systems such as GNOME-Session and Mutter.
  .
  This provides the budgie-desktop user-defined settings called raven.
- 
+

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 export DH_VERBOSE = 1
 export MAKE = ninja -v
 export LC_ALL=C.UTF-8
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
 	dh $@
@@ -16,6 +17,7 @@
 		rm ./debian/ubuntu/applied ; \
 	fi
 endif
+	rm -f ./debian/budgie-desktop.gsettings-override
 
 override_dh_auto_configure:
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
@@ -33,8 +35,16 @@
 	cd debian/build && DESTDIR=$(CURDIR)/debian/tmp $(MAKE) install
 	# remove unrecognised and non ISO639 locale
 	find debian -type d -name "zh-Hant" -print0 | xargs -r0 -- rm -r
+	mkdir -p "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
+	mv "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0/Budgie-1.0.typelib" "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
+	rm -rf "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0"
 
 override_dh_installgsettings:
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
+	cp ./debian/budgie-desktop.gsettings-override.ubuntu ./debian/budgie-desktop.gsettings-override
+else
+	cp ./debian/budgie-desktop.gsettings-override.debian ./debian/budgie-desktop.gsettings-override
+endif
 	# install override but budgie has to take precedence over
 	# gnome-shell defaults
 	dh_installgsettings --priority=15

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/budgie-desktop/budgie-desktop/releases .*/budgie-desktop-([0-9.]+)\.tar\.xz

## budgie-desktop 10.4+git20180830.02.f2dbc215fdb

=== debian/changelog ===
budgie-desktop (10.4+git20180830.02.f2dbc215fdb-2ubuntu0.2) cosmic; urgency=medium

  * cherrypick upstream commits
     - 0009-Polkit-Correctly-handle-the-user-dismissing-the-auth.patch
       Hopefully resolve fix polkit crashes reported on errors.ubuntu.com due
       to Polkit dialogs still having an open process when dismissed
       (LP: #1729947)
     - cleanup-keygrab.patch
       Correcly manage custom keys and hence resolve custom keys not
       occasionally working on logon (LP: #1824229)
     - close-raven-on-workspace-switch.patch
       Usability patch to correctly dismiss raven if opened when a workspace
       is switched (LP: #1825050)
     - Ensure animations remain working with newer versions of mutter
       (LP: #1824102) animations.patch
  * Packaging Changes
    - budgie-desktop.gsettings-override remove disabling animation override

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 10 Apr 2019 22:14:25 +0100

budgie-desktop (10.4+git20180830.02.f2dbc215fdb-2ubuntu0.1) cosmic; urgency=medium

  * cherrypick upstream commits (LP: #1811620)
    - fix_panel_autohide.patch
      Enable autohiding when using multiple budgie panels
    - deduplicate-menuall.patch
      deduplicate All category Menu
    - 0012-Force-raven-widget-show-hide-to-display-contents-cor.patch
      Ensure Raven controls can be correctly hidden if configured on
      a relogon

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 13 Jan 2019 19:23:14 +0000

budgie-desktop (10.4+git20180830.02.f2dbc215fdb-2) unstable; urgency=medium

  * Bug-fix release
    - Patch 0011-Override-new-mutter-vertical-workspace-layout.patch
      Restore horizontal scrolling when switching workspaces

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 07 Oct 2018 21:39:11 +0100

budgie-desktop (10.4+git20180830.02.f2dbc215fdb-1) unstable; urgency=medium

  * Bug-fix release
    - Add temporary gsettings override to disable animations to ensure
      windows do not leave visual artifacts
    - Patch 0009-Add-null-guards.patch
      Fix occasional workspace switch crashes
    - 0010-Ensure-focus-and-button-layout-keys-are-updated.patch
      Fix right/left decoration placement and mouse over focus
      issues
  * Packaging Changes
    - debian/rules - remove unneeded separate ubuntu/debian overrides
    - regenerate tarball with git submodule GVC pointing to new
      gitlab location
      https://gitlab.gnome.org/GNOME/libgnome-volume-control.git

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 26 Sep 2018 20:24:39 +0100

budgie-desktop (10.4+git20180830.01.f2dbc215fdb-3) unstable; urgency=medium

  * Build desktop icon support with debian/rules update
    - for Debian support is switched off (due to Nautilus 3.30
      transition) since budgie desktop settings would crash
      due to gsettings schema being missing
    - for Ubuntu support is switched on since using older
      version of Nautilus

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 08 Sep 2018 09:16:56 +0100

budgie-desktop (10.4+git20180830.01.f2dbc215fdb-2) unstable; urgency=medium

  * Release to unstable (Closes: #907939)
    - copy experimental package + packaging changes as described
  * Packaging Changes
    - Copyright updates

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 05 Sep 2018 14:59:49 +0100

budgie-desktop (10.4+git20180830.01.f2dbc215fdb-1) experimental; urgency=medium

  * Release to experimental (Closes: #907616)
    - base on ubuntu cosmic package; this includes a git release of
      budgie-desktop that will form the forthcoming v10.5 release.
      Includes additional patches to compile for mutter 3.30 plus
      current work-in-progress stability patches
  * Packaging Changes
    - budgie-core.lintian-overrides - revise explanation of the lintian
      false positive results with the objdump test to confirm the observations
    - bump control Standards-Version; no additional changes required
    - libraven0.symbols add two additional symbols for git release

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 30 Aug 2018 21:38:21 +0100

budgie-desktop (10.4+git20180830.01.f2dbc215fdb-0ubuntu1) cosmic; urgency=medium

  * Upstream Git release
  * drop caffeine patch since now incorporated into git master
  * 0003-Make-sure-vapi-workspace-def-use-real-c-header-filen.patch
    Fix to resolve alt+tab crashes (LP: #1788721)
  * 0004-Vala-0.41.92-does-not-allow-custom-getter-default-va.patch
    Add fix for vala compilation issues
  * 0005-Point-vapi-cheaders-to-their-upstream-equiv.patch
    Ensure vapi matches the correct C header file names
  * 0006-Install-missing-notification-icon-1545.patch
    Add fallback icon for 'disable all notifications' capability
  * 0007-Check-if-schema-is-defined-for-volume-slider-changes.patch
    Do not check for gnome sound schema for microphone slider
  * 0008-Add-copyright-for-notification-disabled-symbolic.svg.patch
    Ensure notification icon has a copyright statement in the source
  Packaging Changes:
    - rename numeric order for patches to be sequential
    - debian/copyright Add copyright for the additional git release icons

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 30 Aug 2018 10:21:26 +0100

budgie-desktop (10.4+git20180820.01.cb35f5b4f1c-0ubuntu1) cosmic; urgency=medium

  * Upstream Git release
  * Revise mutter3.30 patch to fix focus issues
  * Revise caffeine patch to use both fallback and actual theme icons if
    available
  * 0004-Correct-GNOME-button-layout-schema-path.patch
    Fix path to point to a valid schema
  * Packaging Changes:
    - debian/rules - remove the rename of the caffeine icons

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 20 Aug 2018 21:56:13 +0100

budgie-desktop (10.4+git20180806.02.933f78fc03d-0ubuntu1) cosmic; urgency=medium

  [Adam Conrad]
  * caffeine-cup-conflicts.patch: Avoid caffeine icon conflicts (LP: #1786107)

  [David Mohammed]
  * Upstream Git release
  * Add patch to support GNOME 3.29.4 mutter
  * Packaging Changes:


=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  gobject-introspection,
  gtk-doc-tools,
  libgee-0.8-dev,
- libglib2.0-dev,
+ libglib2.0-dev (>= 2.57),
  libgnome-bluetooth-dev (>= 3.16),
  libgnome-desktop-3-dev,
  libgnome-menu-3-dev,
  libgtk-3-dev,
- libmutter-2-dev (>= 3.27.91),
+ libmutter-3-dev (>= 3.29.90),
  libpeas-dev,
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
@@ -31,14 +31,13 @@
  meson (>= 0.40.1),
  gnome-settings-daemon-dev (>= 3.28),
  sassc
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop -b debian
 
 Package: budgie-core
 Architecture: any
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends},
  ${shlibs:Depends}
 Description: Core package for Budgie-Desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
@@ -63,6 +62,7 @@
  libbudgie-plugin0 (= ${binary:Version}),
  libbudgietheme0 (= ${binary:Version}),
  libraven0 (= ${binary:Version}),
+ libbudgie-private0 (= ${binary:Version}),
  libglib2.0-dev,
  libgtk-3-dev,
  libpeas-dev,
@@ -184,3 +184,17 @@
  .
  This provides the budgie-desktop user-defined settings called raven.
 
+Package: libbudgie-private0
+Section: libs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: Budgie Private library for budgie-desktop
+ Budgie-Desktop is a GTK+ based desktop environment which focuses on
+ simplicity and elegance.  It provides a traditional desktop metaphor
+ based interface utilising customisable panel based menu driven system.
+ Budgie-Desktop is written from scratch utilising many GNOME based
+ sub-systems such as GNOME-Session and Mutter.
+ .
+ This provides a private ABI for raven and the budgie panel

=== debian/rules ===
--- 
+++ 
@@ -17,15 +17,16 @@
 		rm ./debian/ubuntu/applied ; \
 	fi
 endif
-	rm -f ./debian/budgie-desktop.gsettings-override
 
 override_dh_auto_configure:
+	mkdir -p debian/build
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
 	patch -p1 < debian/ubuntu/show_nm-applet_in_tray.patch
 	touch ./debian/ubuntu/applied
+	cd debian/build && LDFLAGS="-Wl,-z,now -Wl,-z,relro" meson --buildtype plain --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc ../..
+else
+	cd debian/build && LDFLAGS="-Wl,-z,now -Wl,-z,relro" meson -Dwith-desktop-icons=none --buildtype plain --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc ../..
 endif
-	mkdir -p debian/build
-	cd debian/build && LDFLAGS="-Wl,-z,now -Wl,-z,relro" meson --buildtype plain --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc ../..
 
 override_dh_auto_build:
 	cd debian/build && $(MAKE)
@@ -40,11 +41,6 @@
 	rm -rf "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0"
 
 override_dh_installgsettings:
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
-	cp ./debian/budgie-desktop.gsettings-override.ubuntu ./debian/budgie-desktop.gsettings-override
-else
-	cp ./debian/budgie-desktop.gsettings-override.debian ./debian/budgie-desktop.gsettings-override
-endif
 	# install override but budgie has to take precedence over
 	# gnome-shell defaults
 	dh_installgsettings --priority=15
